Interpret Interpret natural language input into a structured command
POST
/api/v1/interpret

Authentication

Bearer Token (BearerAuth)

Headers

X-Target-Serverstringrequired

Internal IP and port of the pt-agent instance (e.g. 10.10.0.26:9741)


Request Body

Required

user_inputstringrequired

Example:

{
  "user_input": "string"
}

Responses

200
Interpreted command

Response Fields:

  • understood_request (string)

  • task_description (string)

  • target (string)

  • parameters (object[])

  • tools_suggested (object[])

  • needs_target (boolean)

  • confidence (string)

  • is_finish_request (boolean)

  • is_builtin_command (boolean)

  • maps_to_command (string)

  • command_args (string[])

  • command_flags (object[])

Example:

{
  "understood_request": "string",
  "task_description": "string",
  "target": "string",
  "parameters": [
    {}
  ],
  "tools_suggested": [
    {}
  ],
  "needs_target": true,
  "confidence": "string",
  "is_finish_request": true,
  "is_builtin_command": true,
  "maps_to_command": "string",
  "command_args": [
    "string"
  ],
  "command_flags": [
    {}
  ]
}